### Method

# Ide DiagnosticsManager get_busy

#### Declaration

    gboolean
    ide_diagnostics_manager_get_busy (
      IdeDiagnosticsManager* self
    )

#### Description

Gets if the diagnostics manager is currently executing a diagnosis.

Available since: | 3.32

Gets property | `Ide.DiagnosticsManager:busy`

#### Return value

Returns: | `gboolean`
| `TRUE` if the `IdeDiagnosticsManager` is busy diagnosing.